Skip to main content

Update Overlay Modifications

PUT 

/v1/product/:product_id/overlay/:overlay_id/modification

Update one or more overlay modifications

Request

Path Parameters

    product_id uuidrequired

    The product ID

    overlay_id uuidrequired

    The overlay ID

Body

array

required

  • Array [

  • target_id Target Id (string)required

    Unique identifier for the target

    target_type Target Type (string)required

    Type of entity being modified

    field_name Field Name (string)required

    Name of the field being modified

    value_boolean Value Boolean (boolean)

    Boolean value modification

    value_string Value String (string)

    String value modification

    value_integer Value Integer (integer)

    Integer value modification

    value_float Value Float (number)

    Float value modification

    value_datetime date-time

    Datetime value modification

    name Name (string)

    Name of the modification

    description Description (string)

    Description of the modification

    reference_sandbox_id uuid

    ID of the sandbox of which the modification originated

    model_config object

    Default value: [object Object]

    modification_id uuidrequired

    Unique identifier for the modification

  • ]

Responses

Successful Response

Schema

  • Array [

  • last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    target_id Target Id (string)required

    Unique identifier for the target

    target_type Target Type (string)required

    Type of entity being modified

    field_name Field Name (string)required

    Name of the field being modified

    value_boolean Value Boolean (boolean)

    Boolean value modification

    value_string Value String (string)

    String value modification

    value_integer Value Integer (integer)

    Integer value modification

    value_float Value Float (number)

    Float value modification

    value_datetime date-time

    Datetime value modification

    name Name (string)

    Name of the modification

    description Description (string)

    Description of the modification

    reference_sandbox_id uuid

    ID of the sandbox of which the modification originated

    model_config object

    Default value: [object Object]

    overlay_id uuidrequired

    ID of the parent overlay

    modification_id uuidrequired

    Unique identifier for the modification

    product_id uuidrequired

    Unique product identifier for the modification

  • ]

Loading...